> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener el estado del rastreo

> Nota: Ya está disponible una nueva [versión v2 de esta API](/es/api-reference/endpoint/crawl-get) con características y rendimiento mejorados.


## OpenAPI

````yaml es/api-reference/v1-openapi.json GET /crawl/{id}
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: >-
    API para interactuar con los servicios de Firecrawl y realizar tareas de
    scraping y rastreo web.
  title: Firecrawl API
  version: v1
servers:
  - url: https://api.firecrawl.dev/v1
security:
  - bearerAuth: []
paths:
  /crawl/{id}:
    parameters:
      - description: El ID de la tarea de rastreo
        in: path
        name: id
        required: true
        schema:
          format: uuid
          type: string
    get:
      tags:
        - Crawling
      summary: Obtener el estado de una tarea de rastreo
      operationId: getCrawlStatus
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CrawlStatusResponseObj'
          description: Respuesta satisfactoria
        '402':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: Payment required to access this resource.
                    type: string
                type: object
          description: Se requiere pago
        '429':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: >-
                      Request rate limit exceeded. Please wait and try again
                      later.
                    type: string
                type: object
          description: Demasiadas solicitudes
        '500':
          content:
            application/json:
              schema:
                properties:
                  error:
                    example: An unexpected error occurred on the server.
                    type: string
                type: object
          description: Error del servidor
      security:
        - bearerAuth: []
components:
  schemas:
    CrawlStatusResponseObj:
      properties:
        completed:
          description: Número de páginas que se han rastreado correctamente.
          type: integer
        creditsUsed:
          description: El número de créditos usados en el rastreo.
          type: integer
        data:
          description: Los datos del rastreo.
          items:
            properties:
              html:
                description: >-
                  Versión HTML del contenido de la página si `includeHtml` es
                  `true`
                nullable: true
                type: string
              links:
                description: Lista de enlaces de la página si `includeLinks` es verdadero
                items:
                  type: string
                type: array
              markdown:
                type: string
              metadata:
                properties:
                  '<any other metadata> ':
                    description: >-
                      Otros metadatos extraídos del HTML; pueden ser una cadena
                      o un array de cadenas
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  description:
                    description: >-
                      Descripción extraída de la página; puede ser una cadena de
                      texto o un array de cadenas de texto
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  error:
                    description: El mensaje de error de la página
                    nullable: true
                    type: string
                  keywords:
                    description: >-
                      Palabras clave extraídas de la página, pueden ser una
                      cadena o un array de cadenas
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  language:
                    description: >-
                      Idioma extraído de la página; puede ser una cadena o un
                      array de cadenas
                    nullable: true
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  numPages:
                    description: >-
                      Para entradas PDF, el número de páginas procesadas
                      (limitado por la opción maxPages del parser).
                    type: integer
                  ogLocaleAlternate:
                    description: Idiomas alternativos para la página
                    items:
                      type: string
                    type: array
                  sourceURL:
                    format: uri
                    type: string
                  statusCode:
                    description: El código de estado de la página
                    type: integer
                  title:
                    description: >-
                      Título extraído de la página, puede ser una cadena o un
                      array de cadenas
                    oneOf:
                      - type: string
                      - items:
                          type: string
                        type: array
                  totalPages:
                    description: >-
                      Para entradas PDF, el número real de páginas del documento
                      antes de aplicar cualquier límite de maxPages. Se omite si
                      no se puede determinar; si totalPages es mayor que
                      numPages, el resultado se truncó.
                    type: integer
                type: object
              rawHtml:
                description: Contenido HTML bruto de la página si `includeRawHtml` es true
                nullable: true
                type: string
              screenshot:
                description: >-
                  Captura de pantalla de la página si `includeScreenshot` es
                  true
                nullable: true
                type: string
            type: object
          type: array
        expiresAt:
          description: La fecha y hora en que expirará el rastreo.
          format: date-time
          type: string
        next:
          description: >-
            La URL para obtener los siguientes 10 MB de datos. Se devuelve si el
            rastreo no se ha completado o si la respuesta supera los 10 MB.
          nullable: true
          type: string
        status:
          description: >-
            El estado actual del rastreo. Puede ser `scraping`, `completed` o
            `failed`.
          type: string
        total:
          description: El número total de páginas que se intentó rastrear.
          type: integer
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````